function ffy_Button_StartMoving()
	if (ffy_Options.PanelMovable) then
		ffy_Button:StartMoving();
	end
end

function ffy_Button_OnClick()
	ffy_Fortify();
end

function ffy_Button_Init()
	ffy_ButtonFrame:RegisterForDrag("LeftButton");
end

-------------------------------------------------------------------------------
-- Show the fortify panel
-------------------------------------------------------------------------------
function ffy_Button_Update()

    -- Show the button panel
	if (ffy_Options.ShowPanel) then
	    ffy_Button:Show();
	    ffy_LabelFortify:Show();
	    ffy_PanelFortify:Show();

        -- Show decursive link if present
    	if (DCR_VERSION_STRING) then
    	    ffy_debug("Showing Decursive icon.");
    	    ffy_Decurse:Show();
    	    ffy_LabelDecurse:SetText(BINDING_HEADER_DECURSIVE);
    	    ffy_LabelDecurse:Show();
    	    ffy_PanelDecurse:Show();
    	else
    	    ffy_debug("Decursive is not present.");
    	end

    -- Hide the button panel
	else
	    ffy_Button:Hide();
	    ffy_LabelFortify:Hide();
	    ffy_PanelFortify:Hide();
	    ffy_Decurse:Hide();
	    ffy_LabelDecurse:Hide();
	    ffy_PanelDecurse:Hide();
	end
end
